> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Reorder widgets

> Reorders widgets for the authenticated user



## OpenAPI

````yaml /api-reference/oda-widget-service-1.0.0.yml post /widgets/commands/reorder
openapi: 3.0.1
info:
  title: ODA Widget Service
  description: ODA Widget Service
  contact:
    name: stCarolas
    email: stcarolas@gmail.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.en.html
  version: 1.0.0
servers: []
security: []
paths:
  /widgets/commands/reorder:
    post:
      summary: Reorder widgets
      description: Reorders widgets for the authenticated user
      operationId: reorder
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReorderCommand'
        required: true
      responses:
        '200':
          description: Widgets reordered successfully
        '401':
          description: Unauthorized
components:
  schemas:
    ReorderCommand:
      required:
        - ids
      type: object
      properties:
        ids:
          type: array
          items:
            type: string

````